Wine 32 telepítés

 ( villanymester | 2018. február 11., vasárnap - 17:57 )

Egy Debian 9-es rendszerre igyekszem felrakni a Wine-t
Sajnos a következő csomag függőségi problémába ütköztem

A következő leírást követve próbáltam telepíteni a Wine-t
https://wiki.debian.org/Wine


sudo apt -f install wine32
Csomaglisták olvasása... Kész
Függőségi fa építése
Állapotinformációk olvasása... Kész
Néhány csomagot nem lehetett telepíteni. Ez azt jelentheti, hogy
egy lehetetlen állapotot kért, vagy ha az unstable disztribúciót
használja, akkor néhány igényelt csomag még nem készült el vagy ki
lett mozdítva az Incoming-ból.
Az alábbi információk segíthetnek megoldani a problémát:

Az alábbi csomagoknak teljesítetlen függőségei vannak:
wine32:i386 : Függ ettől: libc6:i386 (>= 2.17) de az nincs telepítésre megjelölve
Függ ettől: libwine:i386 (= 1.8.7-2) de az nincs telepítésre megjelölve
E: A problémák nem javíthatók, sérült csomagokat fogott vissza.

A sources.list tartalma a következő:

# deb cdrom:[Debian GNU/Linux 9.3.0 _Stretch_ - Official amd64 DVD Binary-1 20171209-12:11]/ stretch contrib main

# deb cdrom:[Debian GNU/Linux 9.3.0 _Stretch_ - Official amd64 DVD Binary-1 20171209-12:11]/ stretch contrib main

deb http://deb.debian.org/debian/ stretch main contrib non-free
deb-src http://deb.debian.org/debian/ stretch main

deb http://security.debian.org/debian-security stretch/updates main contrib
deb http://security.debian.org/ stretch/updates main contrib non-free
deb-src http://security.debian.org/debian-security stretch/updates main contrib

# stretch-updates, previously known as 'volatile'
deb http://deb.debian.org/debian/ stretch-updates main contrib
deb-src http://deb.debian.org/debian/ stretch-updates main contrib

deb http://deb.debian.org/debian-security stable/updates main
deb-src http://deb.debian.org/debian-security stable/updates main

deb http://ftp.debian.org/debian stretch-backports main
deb-src http://ftp.debian.org/debian stretch-backports main

Van valakinek ötlete, hogy lehet ezt feloldani?

Hozzászólás megjelenítési lehetőségek

A választott hozzászólás megjelenítési mód a „Beállítás” gombbal rögzíthető.

apt-get update && apt-get upgrade
volt előtte?

ha 386-os csomagokat szeretnél felhegeszteni egy 64-es rendszerre, akkor mindenek előtt:
dpkg --add-architecture i386
apt-get update

A linkelt Debian-os oldal utasításait követtem:

Tehát


sudo dpkg --add-architecture i386 && sudo apt update

volt természetesen. Volt update és upgrade is. Valamint rebootoltam is a telepítés után

Linux-ot nem nagyon kell újraindítgatni telepítés után. Ezt Gates verte az emberek fejébe.

Ebbe én is beleszaladtam, de hagytam...ezért:

/home/pomm# apt-get install wine32 libwine:i386 libldap-2.4-2:i386
Csomaglisták olvasása... Kész
Függőségi fa építése
Állapotinformációk olvasása... Kész
A következő csomagok automatikusan lettek telepítve, és már nincs rájuk szükség:
ant ant-optional apache2-data apache2-utils apg bogofilter bogofilter-bdb bogofilter-common
brasero-common cdrdao cheese-common coinor-libcbc3 coinor-libcgl1 coinor-libclp1 coinor-libcoinmp1v5
coinor-libcoinutils3v5 coinor-libosi1v5 cups-daemon cups-server-common dleyna-renderer dvdauthor
evolution-common firebird3.0-common firebird3.0-common-doc firebird3.0-server-core fonts-opensymbol
fonts-roboto-hinted freepats gcj-6-jre-lib gconf2-common gir1.2-accountsservice-1.0 gir1.2-gck-1
gir1.2-gcr-3 gir1.2-gdm-1.0 gir1.2-gepub-0.4 gir1.2-gmenu-3.0 gir1.2-gnomebluetooth-1.0
gir1.2-gucharmap-2.90 gir1.2-ibus-1.0 gir1.2-mediaart-2.0 gir1.2-mutter-3.0 gir1.2-networkmanager-1.0
gir1.2-nmgtk-1.0 gir1.2-packagekitglib-1.0 gir1.2-polkit-1.0 gir1.2-tracker-1.0 gir1.2-upowerglib-1.0
gir1.2-vte-2.91 gir1.2-zeitgeist-2.0 gir1.2-zpj-0.0 git-man gnome-control-center-data
gnome-session-common gnome-software-common growisofs gstreamer1.0-clutter-3.0 hp-ppd hplip-data
hyphen-en-us libabw-0.1-1 libapache-poi-java libapache-pom-java libappstream-glib8 libapr1 libaprutil1
libaprutil1-dbd-sqlite3 libavahi-ui-gtk3-0 libbase-java libbcmail-java libbcpkix-java libbcprov-java
libboost-date-time1.62.0 libboost-filesystem1.62.0 libboost-iostreams1.62.0 libboost-system1.62.0
libboost-thread1.62.0 libbsh-java libburn4 libc-ares2 libcacard0 libcec4 libclucene-contribs1v5
libclucene-core1v5 libcommons-codec-java libcommons-collections3-java libcommons-logging-java
libcommons-parent-java libcrossguid0 libcrypto++6 libcryptui0a libcue1 libcupscgi1 libcupsmime1
libdee-1.0-4 libdmapsharing-3.0-2 libdom4j-java libe-book-0.1-1 libebackend-1.2-10 libebook-1.2-16
libebook-contacts-1.2-2 libedata-book-1.2-25 libedata-cal-1.2-28 libehcache-java libeot0 liberror-perl
libetonyek-0.1-1 libexttextcat-2.0-0 libfbclient2 libffmpegthumbnailer4v5 libflite1 libfluidsynth1
libflute-java libfolks-telepathy25 libfonts-java libformula-java libfreehand-0.1-1 libfreerdp-cache1.1
libfreerdp-codec1.1 libfreerdp-common1.1.0 libfreerdp-core1.1 libfreerdp-crypto1.1 libfreerdp-gdi1.1
libfreerdp-locale1.1 libfreerdp-primitives1.1 libfreerdp-utils1.1 libfwupd1 libgcab-1.0-0 libgcj-bc
libgcj-common libgcj17 libgconf-2-4 libgdata-common libgdm1 libgepub0 libgmime-2.6-0
libgnome-autoar-gtk-0-0 libgnome-menu-3-0 libgom-1.0-0 libgom-1.0-common libgpgme11 libgpgmepp6
libgpod-common libgpod4 libgraphicsmagick++-q16-12 libgraphicsmagick-q16-3
libgstreamer-plugins-bad1.0-0 libgtk-vnc-2.0-0 libgtkspell3-3-0 libgucharmap-2-90-7 libgutenprint2
libgvnc-1.0-0 libhsqldb1.8.0-java libhttp-parser2.1 libib-util libibus-1.0-5 libisofs6
libisorelax-java libitext-java libjaxen-java libjcommon-java libjdom1-java libjte1 liblayout-java
liblilv-0-0 libloader-java liblog4j1.2-java liblouisutdml-bin liblouisutdml-data liblouisutdml7
libmail-java libmhash2 libmicrohttpd12 libminiupnpc10 libmms0 libmspub-0.1-1 libmsv-java
libmythes-1.2-0 libnatpmp1 libnfs8 libnghttp2-14 libnss-myhostname libodbc1 libodfgen-0.1-1 libofa0
libopenal1 libopenraw1v5 libopenrawgnome1v5 libosinfo-1.0-0 libosmesa6 libp8-platform2
libpagemaker-0.0-0 libpcrecpp0v5 libpentaho-reporting-flow-engine-java libperl4-corelibs-perl
libphodav-2.0-0 libphodav-2.0-common libphonenumber7 libpixie-java libprotobuf10 libpst4 libqpdf17
libqt5x11extras5 libquvi-scripts-0.9 librelaxng-datatype-java libreofficekit-data librepository-java
librtmp1 libsac-java libsac-java-gcj libsane-hpaio libsasl2-2 libsasl2-modules libsasl2-modules-db
libsaxonhe-java libsdl-ttf2.0-0 libserd-0-0 libserializer-java libservlet3.1-java libsgutils2-2
libshairplay0 libsord-0-0 libsoundtouch1 libspandsp2 libsratom-0-0 libsrtp0 libssh-4 libtalloc2
libtevent0 libtinyxml2.6.2v5 libtommath1 libtotem-plparser-common libtracker-miner-1.0-0
libusbredirhost1 libusbredirparser1 libvo-aacenc0 libwbclient0 libwildmidi-config libwildmidi2
libwinpr-crt0.1 libwinpr-crypto0.1 libwinpr-dsparse0.1 libwinpr-environment0.1 libwinpr-file0.1
libwinpr-handle0.1 libwinpr-heap0.1 libwinpr-input0.1 libwinpr-interlocked0.1 libwinpr-library0.1
libwinpr-path0.1 libwinpr-pool0.1 libwinpr-registry0.1 libwinpr-rpc0.1 libwinpr-sspi0.1
libwinpr-synch0.1 libwinpr-sysinfo0.1 libwinpr-thread0.1 libwinpr-utils0.1 libxerces2-java
libxml-commons-external-java libxml-commons-resolver1.1-java libxml-java libxmlbeans-java libxom-java
libxpp2-java libxpp3-java libyajl2 libytnef0 libzapojit-0.0-0 libzbar0 libzeitgeist-2.0-0 libzen0v5
linux-compiler-gcc-6-x86 linux-headers-4.9.0-5-amd64 linux-headers-4.9.0-5-common linux-headers-amd64
linux-kbuild-4.9 lp-solve lua-bitop lua-expat lua-json lua-lpeg lua-socket media-player-info minissdpd
mousetweaks mythes-en-us ocl-icd-libopencl1 osinfo-db python-cffi-backend python-cryptography
python-enum34 python-idna python-ipaddress python-openssl python-pyasn1 python-requests python-talloc
python-urllib3 python3-debian python3-httplib2 python3-mako python3-markupsafe python3-pexpect
python3-ptyprocess python3-renderpm python3-reportlab python3-reportlab-accel qpdf rhythmbox-data
seahorse-daemon spice-client-glib-usb-acl-helper ssl-cert totem-common transmission-common
unattended-upgrades zeitgeist-core
Ezeket az „apt autoremove” paranccsal törölheti.
A következő további csomagok lesznek telepítve:
foomatic-filters libavahi-client3:i386 libavahi-common-data:i386 libavahi-common3:i386 libcomerr2:i386
libcups2:i386 libdb5.3:i386 libglu1-mesa:i386 libgmp10:i386 libgnutls30:i386 libgssapi-krb5-2:i386
libhogweed4:i386 libicu57:i386 libidn11:i386 libjbig0:i386 libk5crypto3:i386 libkeyutils1:i386
libkrb5-3:i386 libkrb5support0:i386 liblcms2-2:i386 libltdl7:i386 libmpg123-0:i386 libnettle6:i386
libodbc1:i386 libopenal1:i386 libosmesa6:i386 libp11-kit0:i386 libpaps0 libpcap0.8:i386
libsasl2-2:i386 libsasl2-modules:i386 libsasl2-modules-db:i386 libsndio6.1:i386 libssl1.1:i386
libtasn1-6:i386 libtiff5:i386 libxcomposite1:i386 libxcursor1:i386 libxml2:i386 libxslt1.1:i386
ocl-icd-libopencl1:i386 paps php7.0-fpm policykit-1-gnome
Javasolt csomagok:
gnutls-bin:i386 krb5-doc:i386 krb5-user:i386 libmyodbc:i386 odbc-postgresql:i386 tdsodbc:i386
unixodbc-bin:i386 libportaudio2:i386 libsasl2-modules-gssapi-mit:i386
| libsasl2-modules-gssapi-heimdal:i386 libsasl2-modules-ldap:i386 libsasl2-modules-otp:i386
libsasl2-modules-sql:i386 sndiod:i386 ttf-mscorefonts-installer:i386 opencl-icd:i386
wine32-preloader:i386
Az alábbi csomagok el lesznek TÁVOLÍTVA:
apache2 apache2-bin apt-transport-https atom bluez-cups brasero brasero-cdrkit cheese
chrome-gnome-shell cups cups-browsed cups-core-drivers cups-filters cups-filters-core-drivers curl
dirmngr djvulibre-bin evolution evolution-data-server evolution-plugins gconf-service gconf2 gdm3
gedit-plugins gir1.2-gdata-0.0 gir1.2-git2-glib-1.0 gir1.2-grilo-0.3 gir1.2-lokdocview-0.1
gir1.2-rb-3.0 gir1.2-totem-1.0 gir1.2-totem-plparser-1.0 git gnome gnome-contacts gnome-control-center
gnome-core gnome-documents gnome-music gnome-online-miners gnome-photos gnome-session gnome-shell
gnome-shell-extensions gnome-software gnome-user-share gnome-video-effects grilo-plugins-0.3
gstreamer1.0-plugins-bad gvfs-backends hplip kodi kodi-bin kodi-data libapache2-mod-dnssd
libapache2-mod-php7.0 libaprutil1-ldap libbrasero-media3-1 libcheese-gtk25 libcheese8 libcmis-0.5-5v5
libcupsfilters1 libcurl3 libcurl3-gnutls libevolution libfolks-eds25 libfontembed1 libgdata22
libgit2-24 libgit2-glib-1.0-0 libgrilo-0.3-0 libldap-2.4-2 libldb1 liblibreofficekitgtk
libmediainfo0v5 liboauth0 libpq5 libquvi-0.9-0.9.3 libraptor2-0 librasqal3 librdf0 libreoffice
libreoffice-avmedia-backend-gstreamer libreoffice-base libreoffice-base-core libreoffice-base-drivers
libreoffice-calc libreoffice-core libreoffice-draw libreoffice-evolution libreoffice-gnome
libreoffice-gtk3 libreoffice-help-en-us libreoffice-help-hu libreoffice-impress libreoffice-librelogo
libreoffice-math libreoffice-nlpsolver libreoffice-ogltrans libreoffice-report-builder
libreoffice-report-builder-bin libreoffice-script-provider-bsh libreoffice-script-provider-js
libreoffice-script-provider-python libreoffice-sdbc-firebird libreoffice-sdbc-hsqldb
libreoffice-sdbc-postgresql libreoffice-wiki-publisher libreoffice-writer librhythmbox-core10
libsmbclient libspice-client-glib-2.0-8 libspice-client-gtk-3.0-5 libtotem-plparser18 libtotem0
libwine megasync opera-stable pdf2djvu php-curl php7.0-curl printer-driver-c2esp
printer-driver-gutenprint printer-driver-hpcups printer-driver-m2300w printer-driver-postscript-hp
printer-driver-splix python3-debianbts python3-pycurl python3-pysimplesoap python3-reportbug
python3-smbc python3-software-properties python3-uno realmd reportbug rhythmbox
rhythmbox-plugin-cdrecorder rhythmbox-plugins samba-libs seahorse software-properties-common
software-properties-gtk spotify-client task-gnome-desktop task-print-server totem totem-plugins
tracker-extract tracker-miner-fs transmission-gtk tumbler-plugins-extra unoconv vinagre virtualbox-5.2
vivaldi-stable vlc-plugin-samba wine64
Az alábbi ÚJ csomagok lesznek telepítve:
foomatic-filters libavahi-client3:i386 libavahi-common-data:i386 libavahi-common3:i386 libcomerr2:i386
libcups2:i386 libdb5.3:i386 libglu1-mesa:i386 libgmp10:i386 libgnutls30:i386 libgssapi-krb5-2:i386
libhogweed4:i386 libicu57:i386 libidn11:i386 libjbig0:i386 libk5crypto3:i386 libkeyutils1:i386
libkrb5-3:i386 libkrb5support0:i386 liblcms2-2:i386 libldap-2.4-2:i386 libltdl7:i386 libmpg123-0:i386
libnettle6:i386 libodbc1:i386 libopenal1:i386 libosmesa6:i386 libp11-kit0:i386 libpaps0
libpcap0.8:i386 libsasl2-2:i386 libsasl2-modules:i386 libsasl2-modules-db:i386 libsndio6.1:i386
libssl1.1:i386 libtasn1-6:i386 libtiff5:i386 libwine:i386 libxcomposite1:i386 libxcursor1:i386
libxml2:i386 libxslt1.1:i386 ocl-icd-libopencl1:i386 paps php7.0-fpm policykit-1-gnome wine32:i386
0 frissített, 47 újonnan telepített, 157 eltávolítandó és 0 nem frissített.
Letöltendő adatmennyiség: 37,4 MB.
A művelet után 1.728 MB lemezterület szabadul fel.
Folytatni akarja? [I/n]

üdv: pomm

A 852-es kídlap telepötúsa sikeresen befejezádétt

Hátezvalamicodálatosz!
Na és mit válaszoltál? ;-D
Én is belefutottam, mert sajnos van egy exe-m ami nem megy 64bites wine-on. Szóval nincs megoldása a problémának ha jól sejtem? (Most kénytelen vagyok más gépen használni azt a programot. Egyébként az a Mikrotik WinBox programja lenne... most lehet SSH-zni...

winbox 3.11 winearch=win32 mellett busteren a winehq-s repoból származó wine alatt ok

32 bites wine környezet megadása olyan veszélyes? (Hint. wine konfig nemcsak a ~/.wine-ban lehetséges.)

ez már csak azért is biztos, mert változatos helyeken vannak vegyesen win64/win32 wineprefixeim

Nálam ugyanez a probléma, először sír a win32 csomag hiánya miatt majd i386 engedélyezés után ugyanígy ledarálná az egész rendszert, 2 nap fórumolvasás után vagyok éppen.

A Wine és a WineHQ között mi a különbség?

A főhadiszállás.

Valami veszekedés van.

Na, próbáld a ppa-val:

wget https://dl.winehq.org/wine-builds/Release.key
sudo apt-key add Release.key
sudo apt-add-repository 'https://dl.winehq.org/wine-builds/ubuntu/'
sudo apt-get update